#! More complex pytgon-gtk examples

from gi.repository import Gtk

class UnEditableView(Gtk.TextView):
    def __init__(self, text_buffer):
        super(UnEditableView, self).__init__()
        self.set_buffer(text_buffer)
        self.set_editable(False)
        self.set_justification(Gtk.Justification.CENTER)

class MainWindow(Gtk.Window):

    def __init__(self):
        super(MainWindow, self).__init__()
        self.set_title('More compelx example')
        box = Gtk.VBox()
        label = Gtk.Label(label='A More complex example')
        box.pack_start(label, False, False, 0)
        text_buffer = Gtk.TextBuffer()
        text_buffer.set_text('A bunch of example text')
        view1 = Gtk.TextView()
        view1.set_buffer(text_buffer)
        box.pack_start(view1, True, True, 0)
        box.pack_start(Gtk.HSeparator(), False, False, 2)
        box.pack_start(UnEditableView(text_buffer), True, True, 0)
        button = Gtk.Button('Quit')
        button.connect('clicked', self.check_quit)
        self.connect('destroy', lambda x: Gtk.main_quit())
        box.pack_start(button, False, False, 0)
        self.add(box)
        self.set_size_request(300, 300)
        self.show_all()

    def check_quit(self, button):
        message = Gtk.MessageDialog(
                type=Gtk.MessageType.QUESTION, buttons=Gtk.ButtonsType.YES_NO,
                message_format='Do You want to Quit?')
        response = message.run()
        message.destroy()
        if response == Gtk.ResponseType.YES:
            self.destroy()


MainWindow()
Gtk.main()
