#! More complex pytgon-gtk examples

import gtk

class UnEditableView(gtk.TextView):
    def __init__(self, text_buffer):
        super(UnEditableView, self).__init__(text_buffer)
        self.set_editable(False)
        self.set_justification(gtk.JUSTIFY_CENTER)

class MainWindow(gtk.Window):

    def __init__(self):
        super(MainWindow, self).__init__()
        self.set_title('More compelx example')
        box = gtk.VBox()
        label = gtk.Label('A More complex example')
        box.pack_start(label, expand=False, fill=False)
        text_buffer = gtk.TextBuffer()
        text_buffer.set_text('A bunch of example text')
        view1 = gtk.TextView(text_buffer)
        box.pack_start(view1)
        box.pack_start(gtk.HSeparator(), expand=False, fill=False, padding=2)
        box.pack_start(UnEditableView(text_buffer))
        button = gtk.Button('Quit')
        button.connect('clicked', self.check_quit)
        self.connect('destroy', lambda x: gtk.main_quit())
        box.pack_start(button, expand=False, fill=False)
        self.add(box)
        self.set_size_request(300, 300)
        self.show_all()

    def check_quit(self, button):
        message = gtk.MessageDialog(
                type=gtk.MESSAGE_QUESTION, buttons=gtk.BUTTONS_YES_NO,
                message_format='Do You want to Quit?')
        response = message.run()
        message.destroy()
        if response == gtk.RESPONSE_YES:
            self.destroy()


MainWindow()
gtk.main()
